<!DOCTYPE html>
<html>
    <head>
        <style>
            div {
              width: 200px;
              height: 200px;
              background-color: black;
              color: white;
            }
            .div1 {
              margin:auto;
              background-color: grey;
              width: 400px;
              height: 400px;
              position: relative;
            }

            .div2 {
              position:absolute;
              top:0;
              margin-left:25%;
              margin-top:25%;
            /*   bottom:0;
              margin-bottom:25%; */
            }
        </style>
    </head>
    <body>
        <div class="div1">
          div1
          <div class="div2">
          div2
        </div>
        </div>
    </body>
</html>